#include "text.h"

Text::Text(std::string font, int size, SDL_Color color) 
{
    this->font = TTF_OpenFont(font.c_str(), size);
    this->color = color;   
    rect = new SDL_Rect();
}

Text::~Text()
{
    SDL_FreeSurface(surface);
    SDL_DestroyTexture(texture);
    TTF_CloseFont(font);
}

void Text::update(std::string text, SDL_Renderer* renderer)
{
    surface = TTF_RenderText_Solid(font, text.c_str(), color);
    texture = SDL_CreateTextureFromSurface(renderer, surface);
    rect->w = surface->w;
    rect->h = surface->h;
}

void Text::draw(SDL_Renderer* renderer, int x, int y)
{
    rect->x = x - rect->w / 2;
    rect->y = y - rect->h / 2;
    SDL_RenderCopy(renderer, texture, NULL, rect);
}   